<div class="container mt-5">
  <div class="form-group">
    <input type="text" class="form-control" placeholder="Search..." [(ngModel)]="filterTerm">
  </div>

  <table class="table">
    <thead class="thead-dark">
    <tr>
      <th scope="col">ID</th>
      <th scope="col">Name</th>
      <th scope="col">Username</th>
      <th scope="col">Email</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let user of userRecords | filter:filterTerm">
      <td>{{user.id}}</td>
      <td>{{user.name}}</td>
      <td>{{user.username}}</td>
      <td>{{user.email}}</td>
    </tr>
    </tbody>
  </table>
</div>
